Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.deployment
Class ComponentDeploymentHandler

    java.lang.Object
      org.jboss.seam.deployment.AbstractDeploymentHandler
          org.jboss.seam.deployment.ComponentDeploymentHandler

All Implemented Interfaces:
  DeploymentHandler

    public class ComponentDeploymentHandler

extends AbstractDeploymentHandler

The `ComponentDeploymentHandler` process Seam components, both annotated with `Name` and specified in components.xml

Author:
  Pete Muir

Field Summary
`protected Set<Class<Object>>` | `classes`
`static String` | `NAME` Name under which this `DeploymentHandler` is registered

Constructor Summary
`ComponentDeploymentHandler()`

Method Summary
`Set<Class<Object>>` | `getClasses()` Get annotated Seam components
`Set<String>` | `getResources()` Get paths to components.xml files
`void` | `handle(String name, ClassLoader classLoader)` Handle a resource

Methods inherited from class org.jboss.seam.deployment.AbstractDeploymentHandler
`filenameToClassname, getAnnotationValue, getClassFile, hasAnnotation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

  Name under which this `DeploymentHandler` is registered

  See Also:
    Constant Field Values

### classes

    protected Set<Class<Object>> classes

Constructor Detail

### ComponentDeploymentHandler

    public ComponentDeploymentHandler()

Method Detail

### getClasses

    public Set<Class<Object>> getClasses()

  Get annotated Seam components

### getResources

    public Set<String> getResources()

  Get paths to components.xml files

### handle

    public void handle(String name,
                       ClassLoader classLoader)

  Description copied from interface: `DeploymentHandler`
  Handle a resource

  Parameters:
    `name` - The path to the resource
    `classLoader` - The ClassLoader on which the resource was found
  See Also:
    `DeploymentHandler.handle(String, ClassLoader)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD